#ifndef __EB3516_VIDEO_H__
#define __EB3516_VIDEO_H__

#include "hi_type.h"
#ifdef __cplusplus
extern "C"{
#endif

#include "common.h"

typedef enum {
    VIDEO = 0,
    H264,
    H265,
    JPEG,

    AUDIO = 128,
    AAC,
    G711A, // PCMA
    G711U, // PCMU
} codec_type_t;

typedef struct {
    uint8_t *data;
    uint32_t length;
    uint64_t timestamp; // in microseconds
} video_packet_t;

HI_BOOL eb3516VideoInit(void);
HI_S32 eb3516VideoStart(void);
void eb3516VideoStop(void);

#ifdef __cplusplus
}
#endif

#endif